% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_migraph.R
\name{model_mrqap}
\alias{model_mrqap}
\alias{plot.netlm}
\alias{plot.netlogit}
\title{Plotting methods for MRQAP models}
\usage{
\method{plot}{netlm}(x, ...)

\method{plot}{netlogit}(x, ...)
}
\arguments{
\item{x}{An object obtained by fitting an MRQAP model to some data.
For example, \code{migraph::net_regression()}.}

\item{...}{Further arguments to be passed on to plot.}
}
\value{
A plot showing the location of observed statistics compared to the
distribution of statistics from permuted networks.
}
\description{
These plotting methods are for results obtained by fitting an MRQAP
model.
The S3 classes are "netlm" or "netlogit", and so are compatible with the
results from either the \code{{sna}} or \code{{migraph}} packages.
}
\examples{
# Here's something I cooked up with migraph earlier:
plot(res_migraph_reg)
}
