% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_manynet.R
\name{plot.diffusion}
\alias{plot.diffusion}
\alias{plot.diff_model}
\alias{plot.diffs_model}
\alias{plot.learn_model}
\title{Plotting diffusion models}
\usage{
\method{plot}{diff_model}(x, ..., all_steps = TRUE)

\method{plot}{diffs_model}(x, ...)

\method{plot}{learn_model}(x, ...)
}
\arguments{
\item{x}{A "diff_model" of "diffs_model" class of object.
E.g. as a result from \code{manynet::play_diffusion()}.}

\item{...}{Other arguments to be passed.}

\item{all_steps}{Whether all steps should be plotted or just those where
there is change in the distributions.}
}
\value{
\code{plot.diff_model()} returns a bar chart of the number of new
infected nodes at each time point, as well as an overlay line plot of the
total of infected
}
\description{
Plotting diffusion models
}
\examples{
plot(res_manynet_diff)
plot(res_migraph_diff)
plot(play_learning(ison_networkers, beliefs = runif(net_nodes(ison_networkers))))
}
