% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_rsiena.R
\name{plot.influenceTable}
\alias{plot.influenceTable}
\title{Plotting influence tables}
\usage{
\method{plot}{influenceTable}(x, separation = 0, ...)
}
\arguments{
\item{x}{An object of class "influenceTable",
created using \code{RSiena::influenceTable()}.}

\item{separation}{This can be used to make the curves visually distinguishable
if they overlap too much without it.
An advisable value then is, e.g., 0.01.}

\item{...}{Other arguments to be passed.}
}
\value{
A plot showing how the influence evaluation function changes based
on ego's value and alter's value of some covariate.
}
\description{
These are functions for constructing and presenting influence tables
for the interpretation of results for network and behavior dynamics
obtained with the RSiena or multiSiena packages.
}
\examples{
plot(res_siena_influence)
}
\references{
Consult also the RSiena manual, Sections 13.2 and 13.4.
Gratitude to Steffen Triebel and Rene Veenstra for corrections.
}
\author{
Tom Snijders
}
